/* @import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@400,500,700&display=swap'); */

:root {
    --col1: #c9ddfb;
    --col2: #67a4ff;
    --col3: #0F52BA;
    --col4: #01112a;
    --col5: #eee;
    --col6: #ddd;
    --col7: #000;
    --online: #090;
    --red: #a00;
    --font: 'Quicksand', 'sans-serif';
    --text: #fff;

    --pgbg: radial-gradient(var(--col2), var(--col3), var(--col4));
    --btnbg: linear-gradient(var(--col2), var(--col3), var(--col4));
    --btnhovbg: linear-gradient(var(--col3), var(--col4));
    --tlbg: linear-gradient(135deg, var(--col2), var(--col3), var(--col4));
    --msgsentbg: linear-gradient(135deg, var(--col2), var(--col3), var(--col4));
    --msgsenttail: var(--col4);
    --msgrecdbg: linear-gradient(135deg, #fff, var(--col2));
    --msgrecdtail: #fff;
    --chatbg: #e0d8ee;

    --cardwhite: linear-gradient(var(--col5), var(--col6));
    --cardlight: linear-gradient(var(--col2), var(--col3));
    --cardmed: linear-gradient(var(--col3), var(--col4));
    --carddark: linear-gradient(var(--col4), var(--col4));
    --cardlike: linear-gradient(var(--col2), var(--col1));
    --cardmatch: linear-gradient(#f44, #fdd);

    --freeMem: #0004;
    --starter1: #888;
    --starter2: #555;
    --starter: linear-gradient(var(--starter1), var(--starter2));
    --vipBronze1: #fa6;
    --vipBronze2: #C73;
    --vipBronze3: #840;
    --vipBronze: linear-gradient(var(--vipBronze1), var(--vipBronze2), var(--vipBronze3));
    --vipSilver1: #eee;
    --vipSilver2: #bbb;
    --vipSilver3: #888;
    --vipSilver: linear-gradient(var(--vipSilver1), var(--vipSilver2), var(--vipSilver3));
    --vipGold1: #ed9;
    --vipGold2: #db5;
    --vipGold3: #b92;
    --vipGold: linear-gradient(var(--vipGold1), var(--vipGold2), var(--vipGold3));
    --vipDiamond1: #9de;
    --vipDiamond2: #5bd;
    --vipDiamond3: #29b;
    --vipDiamond: linear-gradient(var(--vipDiamond1), var(--vipDiamond2), var(--vipDiamond3));

    --shadow: 0px 5px 10px -2px #000c;
    --inShadow: 5px 5px 5px -2px #0008;
    --cardShadowLo: inset 3px 3px 6px -2px #fff4,
        inset -3px -3px 6px -2px #000,
        0px 5px 10px -2px #000c;
    --cardShadowMed: inset 3px 3px 6px -2px #fff8,
        inset -3px -3px 6px -2px #0008,
        0px 5px 10px -2px #000c;
    --cardShadowHi: inset 2px 2px 4px 0px #fff,
        inset -3px -3px 6px -2px #0008,
        0px 5px 10px -2px #000;
    --btnShadow: inset 2px 2px 4px -2px #fff8,
        inset -2px -2px 4px -2px #0008,
        5px 5px 5px -2px #0008;
    --in3d: inset 2px 2px 4px 0px #000;
}

/* GENERIC SETTINGS */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
}

a {
    text-decoration: none;
    border-radius: 10px;
    cursor: pointer;
}

a,
a:visited,
a:hover,
a:active {
    color: inherit;
}

h1,
h2,
h3,
h4 {
    font-weight: 700;
}

i {
    cursor: pointer;
}

img {
    vertical-align: top;
}

ul,
li {
    list-style-type: none
}

/* Hide scrollbar for Chrome, Safari and Opera */
*::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
* {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

body {
    position: relative;
    width: 100%;
    height: 100%;
    font-family: var(--font);
    font-weight: 400;


    #body-bg {
        position: fixed;
        left: 0;
        top: 0;
        width: 100vw;
        height: 100vh;
        background: var(--pgbg);
        z-index: -1;
    }
}


/* HEADER */
header {
    position: relative;
    top: 0;
    width: 100%;
    height: 60px;
    min-width: 360px;
    display: flex;
    justify-content: center;
    z-index: 5;

    #header-bg {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        border-bottom: solid 1px #fff;
        z-index: -1;
    }

    #header-content {
        width: 100%;
        max-width: 1000px;
        padding: 10px;
        font: inherit;
        color: #fff;
        display: grid;
        grid-template-columns: 1fr 20px 50px 40px;
        align-items: center;
        gap: 10px;

        #branding {
            width: fit-content;
            display: grid;
            grid-template-columns: 40px 1fr;
            align-items: center;
            z-index: 1;

            #logo {
                height: 30px;
                aspect-ratio: 1;
                background: url('https://www.dovedate.uk/public/gfx/DoveDateLogo2b.svg') center center / contain no-repeat;
                align-self: center;
            }

            #brand {
                img {
                    height: 30px;
                }
            }
        }

        #online-count {
            display: none;
        }

        #notifications-bell {
            i {
                background: transparent;

                &.active,
                &:hover {
                    background: #fff;
                    transform-origin: 50% 2px;
                    animation: bell-ring 300s linear infinite;
                }
            }
        }

        #vip-badge {
            height: 30px;
        }

        #govip {
            padding: 5px 10px;
            border-radius: 5px;
            background: var(--vipGold);
            box-shadow: var(--btnShadow);
            font-weight: bold;
            color: #000;
            text-align: center;
            cursor: pointer;

            &:hover {
                background: var(--vipGold1);
            }
        }

        #account-menu {
            position: relative;
            height: 40px;
            cursor: pointer;

            img {
                border-radius: 50%;
                width: 40px;
                height: 40px;
                background: #0004;
                padding: 2px;
                outline: solid 2px #fff;
                outline-offset: -2px;
            }

            #menu {
                position: absolute;
                right: 10px;
                padding: 10px;
                border-radius: 10px;
                background: #0008;
                backdrop-filter: blur(5px);
                display: none;

                .menu-item {
                    padding: 10px;
                    border-radius: 5px;
                    font-size: 20px;
                    color: #fff;
                    white-space: nowrap;
                    display: grid;
                    grid-template-columns: 30px 1fr;
                    justify-items: start;
                    gap: 0 10px;

                    &:hover {
                        background: #fff2;
                    }
                }

                [class^="i-"] {
                    background: #fff !important;
                }
            }

            &:hover,
            &:active,
            &.open {
                #menu {
                    display: flex;
                    flex-direction: column;
                }
            }
        }
    }
}

@keyframes bell-ring {

    /* 0% to 0.66% = The actual shaking (2 seconds out of 300 seconds) */
    0% {
        transform: rotate(0deg);
    }

    0.066% {
        transform: rotate(8deg);
    }

    /* Ring 1 */
    0.133% {
        transform: rotate(-8deg);
    }

    0.200% {
        transform: rotate(8deg);
    }

    /* Ring 2 */
    0.266% {
        transform: rotate(-8deg);
    }

    0.333% {
        transform: rotate(8deg);
    }

    /* Ring 3 */
    0.400% {
        transform: rotate(-8deg);
    }

    0.466% {
        transform: rotate(8deg);
    }

    /* Ring 4 */
    0.533% {
        transform: rotate(-8deg);
    }

    0.600% {
        transform: rotate(8deg);
    }

    /* Ring 5 */
    0.666% {
        transform: rotate(0deg);
    }

    /* Stop ringing */

    /* 0.666% to 100% = The 4 minute, 58 second waiting period */
    100% {
        transform: rotate(0deg);
    }

    /* Sit still until the loop resets */
}

@media (min-width: 768px) {
    header {
        #header-content {
            grid-template-columns: 280px 1fr 20px 50px 40px;

            #online-count {
                display: block;
            }

            #account-menu {
                /* position: unset;
                width: 100%;
                padding: 0 10px 0 0;
                background: transparent;
                backdrop-filter: unset;
                align-items: center; */

                &.open {
                    transform: unset;
                }

                #govip {
                    margin-right: 10px;
                    margin-bottom: unset;
                }

                #menu {
                    .menu-item {
                        /* width: unset; */
                        /* height: unset; */
                        padding: 5px;
                        font-size: 16px;
                        /* text-align: left; */

                        .icon {
                            font-size: 22px;
                            display: block;
                        }

                        .text {
                            display: none;
                        }

                        &:has(.cposn) {
                            display: flex;
                            padding: 5px;
                        }
                    }

                }
            }

            #ham {
                display: none;
            }

            &:has(.menu:hover),
            &:has(.menu.open) {
                .menu {
                    display: flex;
                }
            }

            #account {
                #menu {
                    .menu-item {
                        padding: 5px 10px;
                        font-size: 16px;
                    }
                }
            }
        }
    }
}

/* MAIN PAGE */
main {
    width: 100%;
    min-width: 360px;
    height: calc(100vh - 110px);
    font-weight: 400;
    color: #fff;
    display: flex;
    justify-content: center;
    text-align: center;
    overflow: scroll;
}

/* FOOTER */
footer {
    position: relative;
    bottom: 0;
    width: 100%;
    min-width: 360px;
    height: 50px;
    display: flex;
    justify-content: center;
    z-index: 5;

    #footer-bg {
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        border-top: solid 1px #fff;
        /* box-shadow: 0 -3px 5px 0 #0008; */
        /* background: var(--ftbg); */
        z-index: -1;
    }

    #footer-content {
        /* width: 100%; */
        max-width: 1000px;
        height: 50px;
        font: inherit;
        color: #fff;
        display: grid;
        justify-items: center;
        align-items: center;
        text-align: center;
        column-gap: 30px;

        #info a {
            font-weight: bold;
            color: #000;

            text-shadow:
                0 0 2px #fff,
                0 0 2px var(--col2),
                0 0 4px var(--col2);

            &:hover {
                color: var(--col2);
                text-shadow: none;
            }
        }

        #copyright {
            display: none;
        }

        #twitface {
            grid-row: 1;
            right: 100px;
            font-size: 30px;
            display: flex;
            column-gap: 30px;
        }
    }
}

@media (min-width: 768px) {
    footer {
        padding: 0 20px;

        #footer-content {
            height: 50px;
            justify-content: space-between;

            #copyright {
                display: unset;
            }

        }

        /* #twitface {
            grid-column: 2;
            font-size: 24px;
            column-gap: 20px;
        } */
    }
}

/* GLOBAL COMPONENTS */
button,
.btn {
    position: relative;
    min-width: 80px;
    padding: 5px 10px;
    border: none;
    border-radius: 50px;
    box-shadow: var(--btnShadow);
    background: var(--btnbg);
    font: inherit;
    color: #fff;
    white-space: nowrap;
    transition: 200ms ease-in-out;
    cursor: pointer;

    .btn-text {
        position: relative;
        z-index: 2;
    }

    &:has(a) a {
        font: inherit !important;
        color: inherit !important;
    }

    &:before {
        position: absolute;
        content: '';
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        border-radius: 50px;
        background: var(--btnhovbg);
        opacity: 0;
        transition: 200ms ease-in-out;
    }

    &:hover::before {
        opacity: 1;
    }

    &:active {
        scale: 0.98;
    }
}

form {
    display: grid;
    gap: 10px;
    justify-content: left;
}

input[type='date'],
input[type='email'],
input[type='number'],
input[type='password'],
input[type='text'],
textarea {
    width: 100%;
    height: 50px;
    border: none;
    border-radius: 8px;
    outline: none;
    padding: 10px;
    background: transparent;
    font: inherit;
    font-size: 20px;
    color: #000;

    &::placeholder {
        color: var(--col4);
    }

    &:focus {
        background: #fff;
        color: #000;
    }
}

input[type=checkbox] {
    appearance: none;
    -webkit-appearance: none;
    width: 30px;
    height: 30px;
    background-color: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;

    &:checked::after {
        content: '\2714';
        padding: 4px;
        width: 30px;
        height: 30px;
        font-size: 20px;
        font-weight: bold;
        background-color: transparent;
        color: var(--col4);
    }
}

input[type=number] {
    position: relative;
    font: inherit;
    resize: none;


    /* removeup and down arrows */
}

input[type=radio] {
    position: relative;
    appearance: none;
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    background-color: #0002;
    border-radius: 50%;
    box-shadow: var(--in3d);
    display: inline-block;
    overflow: hidden;

    &:checked {
        background-color: transparent;

        &::after {
            position: absolute;
            content: '';
            top: 50%;
            left: 50%;
            width: 14px;
            height: 14px;
            border-radius: 50px;
            background: var(--col3);
            box-shadow: var(--cardShadowMed);
            font-size: 32px;
            transform: translate(-50%, -50%);
        }
    }
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 1000px transparent inset !important;
    -webkit-text-fill-color: #000 !important;
}

@media(min-width: 400px) {
    .page {
        padding: 20px;
    }
}

@media (min-width: 768px) {

    input[type='date'],
    input[type='email'],
    input[type='password'],
    input[type='text'],
    textarea {
        height: 36px;
        font-size: 16px;
    }
}

/* GLOBAL CLASSES */
.card {
    width: 340px;
    height: fit-content;
    padding: 20px;
    border-radius: 20px;
    background: #eee;
    box-shadow: var(--cardShadowHi);
    color: #000;
    display: grid;
    justify-items: center;
    gap: 10px;

    &.black {
        box-shadow: var(--cardShadowLo);
        background: #222;
        color: #fff;
    }
}

#error-messages {
    width: 100%;
    max-width: 300px;
    height: fit-content;
    padding: 10px;
    border: solid 2px #c00;
    border-radius: 10px;
    background: #f44;
    color: #fff;
    display: none;

    &.error {
        display: block;
    }
}

#gallery {
    position: relative;
    width: 100%;
    min-width: 340px;
    max-width: 1000px;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    justify-content: center;
    gap: 5px;
}

.hide {
    display: none !important;
}

.infobox {
    position: relative;
    width: 100%;
    padding: 10px 20px;
    border-radius: 20px;
    background: #ddd;
    box-shadow: var(--cardShadowHi);
    color: #000;

    &:has(> .moreless:checked)>.info {
        margin-top: 10px;
        grid-template-rows: 1fr;
        scale: 1;

        >.info-content {
            padding-bottom: 10px;
        }
    }

    .heading {
        font-size: 20px;
        font-weight: bold;
    }
}

.info {
    display: grid;
    grid-template-rows: 0fr;
    scale: 0;
    /* overflow: hidden; (not hidden for h4)*/
    transform-origin: left top;
    transition: grid-template-rows 400ms ease-in-out, scale 400ms ease-in-out;

}

.info-content {
    min-height: 0;
    display: flex;
    flex-direction: column;
    gap: 5px;

    h3,
    p {
        margin-top: 10px;
    }

    h4 {
        margin-top: -10px;
    }

    .text1 {
        display: block;
    }

    .text2 {
        display: none;
    }

    &:has(.toggle:checked) {
        .text1 {
            display: none;
        }

        .text2 {
            display: block;
        }
    }
}

.inset {
    height: fit-content;
    padding: 4px;
    border-radius: 50px;
    box-shadow: var(--in3d);
    background: #0002;
    display: flex;
    align-items: center;
    cursor: pointer;
    overflow: hidden;

    &:has(input),
    &:has(textarea),
    &:has(select),
    &:has(p) {
        border-radius: 10px;
    }

    &:not(:has(.infobox)):has(input[type=checkbox]) {
        width: 30px;
        height: 30px;
        border-radius: 5px;
    }

    &:has(button),
    &:has(.btn) {
        width: fit-content;
        border-radius: 50px;
    }

    &:has(#avatar) {
        border-radius: 50%;
    }
}

.link {
    color: var(--col4);
    text-decoration: underline;
    cursor: pointer;
}

.moreless {
    position: absolute;
    top: 9px;
    right: 12px;
    width: 26px !important;
    height: 26px !important;
    background: linear-gradient(var(--col2), var(--col4));
    border-radius: 50%;
    /* display: flex !important; */
    /* justify-content: flex-start !important; */
    /* align-items: center !important; */
    /* cursor: pointer !important; */

    &::before,
    &::after {
        position: absolute;
        content: '' !important;
        left: 5px;
        top: 11px;
        width: 16px !important;
        height: 4px !important;
        padding: 0 !important;
        border-radius: 4px;
        background: #fff;
        cursor: pointer;
        transition: 400ms ease-in-out;
    }

    &::after {
        rotate: -90deg;
    }

    &:checked::before {
        rotate: 180deg;
    }

    &:checked::after {
        rotate: 0deg;
    }
}

.page {
    width: 100vw;
    max-width: 1500px;
    min-width: 360px;
    height: fit-content;
    padding: 20px 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.slider-container {
    position: relative;
    margin-top: 10px;
    display: flex;
    align-items: center;
    gap: 10px;
    font-weight: bold;
    --value: 2;

    .track-container {
        width: 100%;
    }

    .track {
        position: relative;
        height: 8px;
        border-radius: 20px;
        background: #0002;
        box-shadow:
            inset 2px 2px 4px 0px #000c,
            inset -1px -1px 1px 0px #ffa;
    }

    .progress {
        position: absolute;
        top: 0;
        width: calc(var(--value) * 4% - (0.020px * var(--value)));
        height: 8px;
        border-radius: 20px;
        background: linear-gradient(var(--col2), var(--col3));
        box-shadow:
            inset 2px 2px 4px -2px #fff6,
            inset -2px -2px 4px -2px #000;
    }

    .slider {
        position: relative;
        -webkit-appearance: none;
        -moz-appearance: none;
        position: absolute;
        left: 0;
        top: -11px;
        width: 100%;
        height: 30px;
        background: none;
        outline: none;
        pointer-events: none;

    }

    input[type="range"]::-webkit-slider-thumb {
        -webkit-appearance: none;
        height: 20px;
        width: 20px;
        border-radius: 50%;
        box-shadow:
            inset 2px 2px 4px -2px #fff6,
            inset -2px -2px 4px -2px #000;
        background: linear-gradient(var(--col2), var(--col3));
        pointer-events: auto;
    }

    input[type="range"]::-moz-range-thumb {
        -moz-appearance: none;
        height: 20px;
        width: 20px;
        border-radius: 50%;
        box-shadow:
            inset 2px 2px 4px -2px #fff6,
            inset -2px -2px 4px -2px #000;
        background: linear-gradient(var(--col2), var(--col3));
        pointer-events: auto;
    }
}

.tip {
    position: relative;

    &::before {
        position: absolute;
        content: attr(tip);
        left: 20px;
        top: 0px;
        width: max-content;
        padding: 5px 10px;
        border-radius: 20px;
        background: linear-gradient(var(--col3), var(--col4));
        box-shadow: 2px 2px 5px 0px #0008;
        font: var(--font);
        font-size: 12px;
        text-transform: unset;
        color: #fff;
        scale: 0;
        transform-origin: left center;
        transition: all 300ms ease-in-out;
        z-index: 2;

    }

    &:has(i:hover)::before,
    &:has(img:hover)::before {
        scale: 1;
    }
}

/* TOGGLE SWITCH  */
.toggle-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-bottom: 20px;
    padding-bottom: 10px;
    border-bottom: 1px solid #eee;

    .switch {
        position: relative;
        display: inline-block;
        width: 50px;
        height: 26px;
    }

    /* Hide native checkbox box */
    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #0002;
        box-shadow: var(--in3d);
        transition: .3s;
        border-radius: 34px;
        overflow: hidden;
    }

    .slider::before {
        position: absolute;
        content: "";
        height: 18px;
        width: 18px;
        left: 4px;
        bottom: 4px;
        background-color: var(--col3);
        box-shadow: var(--cardShadowMed);
        transition: .3s;
        border-radius: 50%;
    }

    .toggle-label {
        font-size: 14px;
        font-weight: bold;
        transition: color 0.3s;
    }

    .label1 {
        color: #000;
    }

    .label2 {
        color: #999;
    }

    .toggle:checked+.slider::before {

        transform: translateX(24px);
    }

    &:has(.toggle:checked) {
        .label1 {
            color: #999;
        }

        .label2 {
            color: #000;
        }
    }

}

#modal-card {
    position: absolute;
    top: 80px;
    left: calc(50vw - 170px);
    width: 340px;
    display: flex;
    text-align: center;
    flex-direction: column;
    align-items: center;
    z-index: 10;

    &.match {
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        padding: 0;
        border-radius: 0;
        box-shadow: none;
        display: flex;
        background: #fff8;
        align-items: center;
        justify-content: center;

        .heart {
            position: absolute;
            transform: translate(-50%, -50%) scale(0);
            animation: heart 3s ease-out;

            i.i-heart {
                background: #c00;
            }
        }

    }

    #title {
        font-weight: 700;
    }

}

/* PROFILE ICONS */
.profile-icons {
    position: relative;
    width: 100%;

    [class^="i-"] {
        background: black;
    }

    &>span {
        display: inline-flex;
        align-items: center;
        width: auto;
        height: 20px;
    }

    .tip::before {
        left: 50%;
        top: -25px;
        transform-origin: top left;
        transform: translateX(-50%);
    }

    .status {
        i.i-online {
            background: #fff;
        }
    }

    .status.online {
        i.i-online {
            background: var(--online);
        }
    }

    .like {
        i {
            display: inline-flex;
        }

        &.ilike i {
            background: var(--col3);
        }

        &.imatch i {
            background: #c00;
        }
    }

    .report {
        i.i-flag {
            background: #c00;
        }
    }


}


@keyframes glow {

    0%,
    50%,
    100% {
        box-shadow: 0px 5px 10px -2px #000c;
    }

    14% {
        box-shadow:
            0px 5px 10px -2px #000c,
            0 0 3px #fff,
            0 0 6px #fff,
            0 0 9px #fff,
            0 0 12px #fff,
            0 0 15px #fff,
            0 0 18px var(--col4),
            0 0 21px var(--col4),
            0 0 25px var(--col4);
    }

    15%,
    35% {
        box-shadow:
            0px 5px 10px -2px #000c,
            0 0 3px #fff,
            0 0 6px #fff,
            0 0 9px var(--col4),
            0 0 12px var(--col4),
            0 0 15px var(--col4);
    }
}

@keyframes heart {
    to {
        transform: translate(-50%, -50%) scale(9);
        opacity: 0;
    }
}

@keyframes shine {

    0%,
    15% {
        left: -40%;
    }

    30%,
    100% {
        left: 130%;
    }
}

@media (min-width: 769px) {
    #landing {
        max-width: 900px;
    }
}